Bug 168917 - file output for Berkeley DB broken by cracklib entries
file output for Berkeley DB broken by cracklib entries
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-09-21 06:52 EDT by Nigel Metheringham
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.15-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-03 08:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2005-09-21 06:52:15 EDT
Description of problem:
 A berkeley hash db file is not recognised as such by file, giving
 a rather useless output:-
   $ file /tmp/test.db
   /tmp/test.db: (1628767744 words)

 This appears to be picking up this entry from the magic database:-
  # cracklib:  file (1) magic for cracklib v2.7
  0	long	0
  >4	belong	0x70775631	Cracklib password index, big endian ("64-bit")
  >12	belong	>0		(%i words)

 which appears *above* the more specific Berkeley DB section

Version-Release number of selected component (if applicable):

How reproducible:
 Every time...

Steps to Reproduce:
1. echo "one\ntwo"|db_load -T -t hash /tmp/test.db
2. file /tmp/test.db
Actual results:
 /tmp/test.db: (1628767744 words)

Expected results:
 /tmp/test.db: Berkeley DB (Hash, version 8, native byte-order)

Additional info:
 Works correctly on RHEL4
Comment 1 Radek Vokal 2005-10-03 08:16:19 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.